package brn.util;

import java.util.ArrayList;

public class PooledArrayList extends ArrayList implements PoolableObject {
  
  private static final long serialVersionUID = 7158408392096246783L;
  
  public static class Pool extends ObjectPool.FixedSize {

    public Pool(int poolsize) {
      super(poolsize);
    }

    protected PoolableObject newObject() {
      return new PooledArrayList();
    }
  }

//  public PooledArrayList(Collection arg0) {
//    super(arg0);
//  }
//
//  public PooledArrayList(int initialCapacity) {
//    super(initialCapacity);
//  }

  private PooledArrayList() {
    super();
  }
  
  public void init() {
  }

  public void returned() {
    clear();
  }
}